## glance 18.0.1

=== debian/changelog ===
glance (2:18.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:39:10 -0400

glance (2:18.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 11:50:09 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 crudini,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.26.1),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 python3-os-win (>= 3.0.0),
 subunit,
Standards-Version: 4.1.4
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Replaces:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.26.1),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1.8.1),
 python3-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,systemd

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-glance/usr/etc
	dh_install --fail-missing -Xrootwrap.conf

	crudini --merge $(CURDIR)/debian/glance-common/etc/glance/glance-api.conf \
		< $(CURDIR)/debian/glance-api.conf.defaults

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 "^glance.tests.unit.*"
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build glance.sqlite .testrepository
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: glance-daemons
Depends: glance-api, curl
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance glance-(18\.\d.*)\.tar\.gz

## glance 19.0.0

=== debian/changelog ===
glance (2:19.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:31:46 +0200

glance (2:19.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:59:45 +0200

glance (2:19.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2019 14:13:57 +0200

glance (2:18.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:35:25 +0200

glance (2:18.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:03:57 +0200

glance (2:18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:32:18 +0200

glance (2:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-xattr-version-in-test-requirements.txt.patch, not needed
    anymore since Buster has a high enough version.
  * Removed async folder rename patch + debian/rules commands, since upstream
    did the rename too.
  * Removed Fix_RuntimeError_when_running_under_py37_-_StopIteration.patch, not
    needed anymore.
  * Removed fix-never-ending-recursion-in-py3.7.1.patch applied upastream.
  * Fixed (build-)depends for this release.
  * Call oslo-config-generator without the python3- prefix.
  * Blacklist broken unit test:
    - test_ovf_process.TestOvfProcessTask.test_extract_ova_no_disk
  * Do not package rootwrap.conf, it doesn't exist anymore.
  * Also package new file: usr/bin/glance-status.
  * Do not package glance-registry anymore: it's deprecated upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 10:06:53 +0100

glance (2:17.0.0-4) unstable; urgency=medium

  [ Marcin Juszkiewicz ]
  * Updated watch file to get rid of 2011.2 upstream tag.

  [ Michal Arbet ]
  * d/control:
      - Add me to uploaders field
      - Bump openstack-pkg-tools to 89
  * d/copyright: Add me to copyright

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Feb 2019 13:48:07 +0100

glance (2:17.0.0-3) unstable; urgency=medium

  * Add fix-never-ending-recursion-in-py3.7.1.patch (Closes: #911947).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Nov 2018 10:54:12 +0100

glance (2:17.0.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/glance-common.postinst.in:
      - If configuring keystone: Add pkgos_inifile set paste_deploy flavor keystone

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 17 Sep 2018 19:56:48 +0200

glance (2:17.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Remove /etc/glance/metadefs on purge. (Closes: #905521)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:08:58 +0200

glance (2:17.0.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream / refresh patches.
  * Rebased fix-py37-compatibility-async-keyword.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 10:38:53 +0200

glance (2:16.0.1-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Rebuilding with openstack-pkg-tools >= 82~ to fix SSL cert loading.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Aug 2018 09:35:59 +0200

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-babel,
 python3-boto,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glance-store (>= 1.0.1),
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-mock,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 sqlite3,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto,
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet,
 python3-futurist,
 python3-glance-store (>= 1.0.1),
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*|.*async_\.flows\.test_ovf_process\.TestOvfProcessTask\.test_extract_ova_no_disk.*)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace glance.api \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf \
		--namespace glance.registry \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf glance_store filesystem_store_datadir /var/lib/glance/images
	# Do not percist build time CPU numbres. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing -Xusr/bin/glance-registry -Xusr/bin/glance-replicator

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance 19.0.2

=== debian/changelog ===
glance (2:19.0.2-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Train (LP: #1871125).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:51:18 -0400

glance (2:19.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 10:56:35 -0400

glance (2:19.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/tests/control,glance-daemons: Update to use MySQL for autopkgtests
    ensuring coverage for MySQL 8 changes in sqlalchemy (LP: #1846548).
  * d/control: Bump minimum version of sqlalchemy to ensure compatibility
    with MySQL 8.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2019 10:40:04 +0100

glance (2:19.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 19.x series.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Oct 2019 09:28:58 -0400

glance (2:19.0.0~b2~git2019073017.733095a8-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 17:48:19 +0200

glance (2:19.0.0~b1~git2019061338.b8a34d31-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 14:32:29 +0100

## glance 19.0.4

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
whereto>=0.3.0  # Apache-2.0

# needed for apidoc support
xattr>=0.9.2;sys_platform!='win32' # MIT

=== debian/changelog ===
glance (2:19.0.4-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1892141).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 19 Aug 2020 07:40:05 +0000

glance (2:19.0.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892). 

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 12:30:38 +0000

glance (2:19.0.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Apr 2020 20:44:53 +0000

## glance 20.0.0~b2~git2020020509.8649fdc2

=== debian/changelog ===
glance (2:20.0.0~b2~git2020020509.8649fdc2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 10:02:14 +0100

glance (2:20.0.0~b1~git2019121610.0c6dd98d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:50:39 +0100

## glance 20.0.0~b3~git2020041012.d5a0ce18

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.23.0,!=0.25.0,>=0.22.0 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=2.6.0 # MIT
pyOpenSSL>=17.1.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.10.0 # MIT

oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=2.4.1 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=1.0.0 # Apache-2.0


debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT

os-win>=3.0.0 # Apache-2.0

castellan>=0.17.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
whereto>=0.3.0  # Apache-2.0

# needed for apidoc support
xattr>=0.9.2;sys_platform!='win32' # MIT

=== debian/changelog ===
glance (2:20.0.0~b3~git2020041012.d5a0ce18-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/p/monkey-patch-original-current-thread-active.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:58:27 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu3) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * d/glance-common.dirs: Ensure /etc/glance/rootrap.d is created
    (LP: #1871889).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:19:07 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu2) focal; urgency=medium

  * d/tests/test-shebang.py: Dropped. No longer used.
  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/716058/. This fixes glance service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2020 14:41:49 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.install: Drop install of policy.json inline with upstream
    removal.
  * d/glance-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:49:34 -0400

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 crudini,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.17.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.22.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 1.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.4),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 subunit,
Standards-Version: 4.1.4
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Replaces:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-castellan (>= 0.17.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.22.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 1.0.0),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-openssl (>= 17.1.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-glance/usr/etc
	dh_install --fail-missing -Xrootwrap.conf

	crudini --merge $(CURDIR)/debian/glance-common/etc/glance/glance-api.conf \
		< $(CURDIR)/debian/glance-api.conf.defaults

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 "^glance.tests.unit.*"
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build glance.sqlite .testrepository
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance glance-(19\.\d.*)\.tar\.gz

## glance 20.2.0

=== requirements.txt ===
--- 
+++ 
@@ -31,7 +31,8 @@
 # For paste.util.template used in keystone.common.template
 Paste>=2.0.2 # MIT
 
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
+python-keystoneclient>=3.8.0 # Apache-2.0
 pyOpenSSL>=17.1.0 # Apache-2.0
 # Required by openstack.common libraries
 six>=1.10.0 # MIT

=== debian/changelog ===
glance (2:20.2.0-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-pre1.patch: stream-friendly disk format
      inspection module.
    - debian/patches/CVE-2024-32498-pre2.patch: fix unintentional exception
      inspecting VMDK.
    - debian/patches/CVE-2024-32498-pre3.patch: limit CaptureRegion sizes
      in format_inspector for VMDK and VHDX.
    - debian/patches/CVE-2024-32498-pre4.patch: support Stream Optimized
      VMDKs.
    - debian/patches/CVE-2024-32498-pre5.patch: add missing fail case tests
      for image_conversion.
    - debian/patches/CVE-2024-32498-pre6.patch: make action wrapper support
      arbitrary properties.
    - debian/patches/CVE-2024-32498-pre7.patch: make image_conversion use
      action wrapper.
    - debian/patches/CVE-2024-32498-pre8.patch: update image.size after
      conversion.
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: extend format_inspector for
      QCOW safety.
    - debian/patches/CVE-2024-32498-3.patch: add VMDK safety check.
    - debian/patches/CVE-2024-32498-4.patch: reject unsafe qcow and vmdk
      files.
    - debian/patches/CVE-2024-32498-5.patch: add QED format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-6.patch: add file format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-7.patch: add safety check and detection
      support to FI tool.
    - debian/control: added qemu-utils to Build-Depends so qemu-img is
      available for new tests.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Jul 2024 14:14:53 -0400

glance (2:20.2.0-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Enforce image safety
      during image_conversion.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 10:53:07 -0500

glance (2:20.2.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1948914).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Oct 2021 07:01:56 +0000

glance (2:20.1.0-0ubuntu1) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Add trailing slash to fix download.
  * New stable point release for OpenStack Ussuri (LP: #1941048).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:03:41 +0000

glance (2:20.0.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1892139).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 19 Aug 2020 07:32:43 +0000

glance (2:20.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:55:45 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
+ qemu-utils,
 Build-Depends-Indep:
  bandit,
  crudini,
@@ -87,8 +88,8 @@
 Standards-Version: 4.1.4
 XS-Python-Version: >= 2.7
 Homepage: https://launchpad.net/glance
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
 Testsuite: autopkgtest-pkg-python
 
 Package: glance

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(20\.\d.*)\.tar\.gz
